Module java.desktop
Package java.awt.desktop

# Interface AppForegroundListener

All Superinterfaces:
  `EventListener`, `SystemEventListener`

public interface AppForegroundListener extends SystemEventListener
Implementors are notified when the app becomes the foreground app and when it is no longer the foreground app. This notification is useful for hiding and showing transient UI like palette windows which should be hidden when the app is in the background.

Since:
  9

## Method Summary

Modifier and Type
Method
Description
`void`
`appMovedToBackground(AppForegroundEvent e)`
Called when the app becomes the background app and another app becomes the foreground app.
`void`
`appRaisedToForeground(AppForegroundEvent e)`
Called when the app becomes the foreground app.

## Method Details

### appRaisedToForeground

void appRaisedToForeground(AppForegroundEvent e)
Called when the app becomes the foreground app.

Parameters:
  `e` - event

### appMovedToBackground

void appMovedToBackground(AppForegroundEvent e)
Called when the app becomes the background app and another app becomes the foreground app.

Parameters:
  `e` - event